KDE 4.6 PyKDE API Reference

- KDE's Python API

# GeoDataPolyStyle Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataColorStyle → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

specifies the style how polygons are drawn

A GeoDataPolyStyle specifies how Polygons are drawn in the viewer. A custom color, color mode (both inherited from GeoDataColorStyle) and two boolean values whether to fill and whether to draw the outline.

## Methods

| __init__ (self)
| __init__ (self, Marble.GeoDataPolyStyle other)
| __init__ (self, QColor color)
bool | fill (self)
QString | nodeType (self)
bool | outline (self)
| pack (self, QDataStream stream)
| setFill (self, bool fill)
| setOutline (self, bool outline)
| unpack (self, QDataStream stream)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataPolyStyle | other
| ) |  |  |

__init__ | ( | self, |
|  | QColor | color
| ) |  |  |

Construct a new GeoDataPolyStyle

Parameters:

  color the color to use when showing the name
  See also:
    GeoDataColorStyle

bool fill | ( |  | self ) |

Return true if polygons get filled

Returns:
  whether to fill

QString nodeType | ( |  | self ) |

bool outline | ( |  | self ) |

Return true if outlines of polygons get drawn

Returns:
  whether outline is drawn

pack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Serialize the style to a stream.

Parameters:

  |  | stream the stream

setFill | ( | self, |
|  | bool | fill
| ) |  |  |

Set whether to fill the polygon

Parameters:

  |  | fill

setOutline | ( | self, |
|  | bool | outline
| ) |  |  |

Set whether to draw the outline

Parameters:

  |  | outline

unpack | ( | self, |
|  | QDataStream | stream
| ) |  |  |

Unserialize the style from a stream

Parameters:

  |  | stream the stream